npm

Ready to take your JavaScript development to the next level? Meet npm Enterprise - the ultimate in enterprise JavaScript.Learn more »

vee-validate-es

2.0.0-beta.15 • Public • Published

Note: Este módulo contiene vee-validate en español. Los créditos son del autor original.

Vee-Validate

codecov Build Status Codacy Badge

vee-validate is a lightweight plugin for Vue.js that allows you to validate input fields, and display errors.

What makes it different is: You don't have to do anything fancy in your app, most of the work goes into the html, You only need to specify for each input what kind of validators should be used when the value changes. You will then get informed of the errors for each field.

Although most of the validations occur automatically, you can use the validator however you see fit. The validator object has no dependencies and is a standalone object. This plugin is built with localization in mind. and currently there are over 20 validation rules available in the plugin. Read the docs for more info.

This plugin is inspired by PHP Framework Laravel's validation.

Installation

npm

npm install vee-validate --save

or if you are using Vue 2.0:

npm install vee-validate@next --save

bower

Vue 1.0:

bower install vee-validate#1.0.0-beta.8 --save

Vue 2.0:

bower install vee-validate#2.0.0-beta.13 --save

CDN

vee-validate is also available on jsdelivr cdn:

Vue 1.0:

<script src="https://cdn.jsdelivr.net/vee-validate/1.0.0-beta.8/vee-validate.min.js"></script>

Vue 2.0:

<script src="https://cdn.jsdelivr.net/vee-validate/2.0.0-beta.13/vee-validate.min.js"></script>

Or select whatever version you would like to use.

Getting Started

In your script entry point:

import Vue from 'vue';
import VeeValidate from 'vee-validate';
 
Vue.use(VeeValidate);

Now you are all setup to use the plugin.

Usage

Just apply the v-validate directive on your input and a rules attribute which is a list of validations separated by a pipe, for example we will use the required and the email validators:

<input v-validate data-rules="required|email" type="text" name="email">

Now every time the input changes, the validator will run the list of validations from left to right, populating the errors helper object whenever an input fails validation.

To access the errors object (in your vue instance):

this.$validator.errorBag;
// or
this.errors; // injected into $data by the plugin, you can customize the property name.

Of course there is more to it than that, refer to the documentation for more details about the rules, and usage of this plugin.

Documentation

Read the documentation and demos.

Compatibility

This plugin should be compatible with the major browsers, but it requires few polyfills to work on older ones. The polyfills are:

  • Promise Polyfill.
  • Object.assign Polyfill.

The reason they are not included is because most of the workflows already use polyfills within their code, so to cut down the package size the redundant polyfills were removed, you can use Polyfill.io to provide the needed polyfills for all browsers automatically.

Contributing

You are welcome to contribute to this repo with anything you think is useful. fixes are more than welcome. However if you are adding a new validation rule, it should have multiple uses or as generic as possible.

You can find more information in the contribution guide.

Tutorials

license MIT

install

npm i vee-validate-es

Downloadsweekly downloads

14

version

2.0.0-beta.15

license

MIT

repository

Gitgithub

last publish

collaborators

  • avatar
Report a vulnerability